ListSuppressedDestinations method
Returns a list of addresses on the custom suppression list. The cloud is determined based on the service account the request originates from.
Request
GET /v2/email/suppression/addresses HTTP/2
Query parameters
|
Parameter |
Description |
|
|
Type: Integer. Maximum number of results you can get on one page in response to your request. The default value is |
|
|
Type: String. Token to get the next results page in response to a request. To do this, provide the |
|
|
Type: String. Reason to add the address to the suppression list: |
|
|
Type: String. Lower limit for the entry’s last modification time (inclusive). |
|
|
Type: String. Upper limit for the entry’s last modification time (inclusive). |
Dates must be specified in RFC 33392026-01-01T00:00:00Z) or as a Unix timestamp in seconds. The allowed date range is from January 1, 1970 to December 31, 2105. StartDate must be less than or equal to EndDate.
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"SuppressedDestinationSummaries": [
{
"EmailAddress": "user@example.com",
"Reason": "COMPLAINT",
"LastUpdateTime": 1586552585.000
}
],
"NextToken": "<token>"
}
|
Parameter |
Description |
|
|
Type: Array. Array of suppression list addresses. Addresses are sorted from most recently modified to oldest. |
|
|
Type: String. Recipient's address. |
|
|
Type: String. Reason to add the address to the suppression list: |
|
|
Type: Number. The entry's last modification time in seconds, Unix format. |
|
|
Type: String. Token to get the next results page in response to a request. It is returned only if the current page is full. An empty value indicates there is no more data. |
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters: incorrect |
|
|
Not enough permissions to execute the request. |
|
|
The request quota was exceeded. |